Description

Some algorithms are described as accepting line or polygon features but the input layer drop-down still lists point layer (I don't know if

point layers should be excluded or the description may need some review):

Extract vertices / extract specific vertices

Moreover, there's some kind of conflict between "vertices" and "points" so I don't know how desirable/expected is the point geometry

presence in "Remove duplicate vertices".

History

#1 - 2018-09-10 04:26 PM - Harrissou Santanna

The Dissolve algorithm also allows point layers in input

#2 - 2018-09-10 08:29 PM - Giovanni Manghi

Harrissou Santanna wrote:

The Dissolve algorithm also allows point layers in input

dissolving points is ok as dissolving lines or polygons (to get multi-point features).

#3 - 2018-09-10 09:31 PM - Harrissou Santanna

I meant conflict between description and input: I don't think anyone will expect it works with point given the following.

This algorithm takes a polygon or line vector layer and combines their geometries into new geometries.One or more attributes can be specified to

dissolve only geometries belonging to the same class (having the same value for the specified attributes), alternatively all geometries can be

dissolved.

All output geometries will be converted to multi geometries. In case the input is a polygon layer, common boundaries of adjacent polygons being

dissolved will get erased.

#4 - 2018-09-11 01:53 PM - Giovanni Manghi

Harrissou Santanna wrote:

2024-04-29 1/2



I meant conflict between description and input: I don't think anyone will expect it works with point given the following.

ahhhh got it.

#5 - 2019-01-22 10:25 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Seems already fixed in master

2024-04-29 2/2


